<div class="flex items-center min-h-screen bg-white">
  <div class="flex flex-col w-full max-w-sm px-4 mx-auto">
    <div class="flex justify-center mb-10">
      <img src="/assets/images/logo.png" alt="" class="w-24" />
    </div>
    <div class="mb-6">
      <p class="font-semibold leading-7">비밀번호가 기억나지 않으신가요?</p>
      <p class="text-sm text-[#6B7280]">기존에 가입하신 이메일을 입력하시면 비밀번호를 변경하실 수 있는 링크를 이메일로 전송해 드립니다.</p>
    </div>
    <form [formGroup]="formGroup" class="text-sm">
      <div class="mb-6">
    <app-input-label w="full" [labelText]="'이메일'"
      [message]="formGroup.get('email')?.value && formGroup.get('email')?.invalid ? '올바른 이메일 형식으로 입력해주세요' : ''"
      [color]="formGroup.get('email')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="email" placeholder="이메일" formControlName="email" />
    </app-input-label>  
      </div>
      @if(formGroup.invalid){
        <app-button class="px-4 !bg-gray-300 !border-none">비밀번호 변경 링크 전송</app-button>
        }@else {
          <app-button (click)="onSubmit()">비밀번호 변경 링크 전송</app-button> 
        }
     
    </form>
    <div class="flex justify-center mt-6">
      <a class="text-sm font-semibold text-primary hover:text-primaryTint" (click)="navSignIn()">로그인 페이지로 되돌아가기</a>
    </div>
  </div>
</div>
